# ISA Transfers events

ISA Transfers events

Endpoint: POST ISA Transfers events
Version: 1.95.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "ISA_TRANSFER.NEW", "ISA_TRANSFER.DISCOVERY", "ISA_TRANSFER.DISCOVERY_CONFIRMED", "ISA_TRANSFER.INSTRUCTED", "ISA_TRANSFER.PROCESSING", "ISA_TRANSFER.SETTLED"

  - `object` (object, required)

  - `object.id` (string, required)
    ISA transfer request unique identifier.

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.user_id` (string, required)
    User unique identifier.

  - `object.account_group_id` (string, required)
    Account group unique identifier.

  - `object.direction` (string, required)
    Direction of the ISA transfer
* INCOMING - Transfer is incoming to the user.
* OUTGOING - Transfer is outgoing from the user.
    Enum: "INCOMING", "OUTGOING"

  - `object.status` (string, required)
    Status of the transfer
* NEW - Transfer is created.
* DISCOVERY - Discovery with the ceding provider where information about the transfer is being exchanged and reviewed. Only relevant if type ISA_EXTERNAL.
* DISCOVERY_CONFIRMED - Discovery is completed and transfer request is accepted by the ceding provider. Only relevant if type ISA_EXTERNAL.
* INSTRUCTED - Transfer is instructed to the ceding provider.
* PROCESSING - Transfer instruction is confirmed by the ceding provider. Transfer is being processed. 
* SETTLED - Transfer is completed.
    Enum: "NEW", "DISCOVERY", "DISCOVERY_CONFIRMED", "INSTRUCTED", "PROCESSING", "SETTLED"

  - `object.transfer_type` (string, required)
    Type of the securities transfer
* ISA_INTERNAL - Transfer occurs within the same ISA manager.
* ISA_EXTERNAL - Transfer occurs across different ISA managers, via Equisoft or others.
    Enum: "ISA_INTERNAL", "ISA_EXTERNAL"

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* GBP - Great British Pound
    Enum: "GBP"

  - `object.transfer_method` (string, required)
    Method of the ISA transfer
* CASH - Cash transfer.

Other methods can be supported in the future, e.g. IN_SPECIE
    Enum: "CASH"

  - `object.reference` (string, required)
    Random string reference on which API clients can build logic.

  - `object.transfer_date` (string, required)
    The date when end user initiated the transfer. Relevant for tax year's end reporting. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.transfer_value` (string)

  - `object.counterparty` (object)

  - `object.counterparty.account_number` (string, required)
    The account number is composed of valid Swift charset with a max length of 28 if provided. The account number helps other brokers identify the owner of the assets.

  - `object.details` (object)

  - `object.details.current_year_subscription` (object, required)
    Details related to the current year’s subscription being transferred.

Required if transfer_type is ISA_INTERNAL.

  - `object.details.current_year_subscription.transfer_amount` (string, required)

  - `object.details.current_year_subscription.first_subscription_at` (string)
    The date of the first subscription made to the ISA in the current tax year. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

 Required if transfer_type is ISA_INTERNAL.

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
